> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprintcheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update payment session



## OpenAPI

````yaml PUT /api/checkout/v2/payment_session
openapi: 3.0.1
info:
  title: Sprintcheckout API
  description: API to process payments with Sprintcheckout
  contact:
    name: Sprintcheckout Team
    url: https://sprintcheckout.com
    email: support@sprintcheckout.com
  version: '2.0'
servers:
  - url: https://api.sprintcheckout.com
    description: Production server
security: []
paths:
  /api/checkout/v2/payment_session:
    put:
      tags:
        - Session
      summary: Updates a payment session
      operationId: updateSession
      parameters:
        - name: X-SC-ApiKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentSession'
        required: true
      responses:
        '200':
          description: Payment session updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSessionResponse'
        '500':
          description: Server error
components:
  schemas:
    PaymentSession:
      required:
        - sessionId
      type: object
      properties:
        sessionId:
          minLength: 1
          type: string
          description: Unique reference of the session in Sprintcheckout
        orderId:
          type: string
          description: Unique reference of the order on your ecommerce platform
          nullable: true
        concept:
          type: string
          description: If it's a payment link, will contain the payment concept
          nullable: true
        amount:
          type: number
          description: Amount of the purchase
          format: double
          nullable: true
          example: 100.5
        minAmount:
          type: number
          description: Minimum amount of the payment
          format: double
          nullable: true
          example: 100.5
        editable:
          type: boolean
          description: Is the payment input editable in UI?
          nullable: true
        currency:
          type: string
          description: Three letter FIAT currency code
          nullable: true
          example: USD
        successUrl:
          type: string
          description: >-
            URL where the user will be redirected from the hosted payment page
            on a successful payment
          nullable: true
        failUrl:
          type: string
          description: >-
            URL where the user will be redirected from the hosted payment page
            on a failed payment
          nullable: true
        cancelUrl:
          type: string
          description: >-
            URL where the user will be redirected from the hosted payment page
            on a canceled payment
          nullable: true
    PaymentSessionResponse:
      type: object
      properties:
        sessionId:
          type: string
          description: Session unique identifier
        redirectUrl:
          type: string
          description: Payment session URL that will redirect to the Sprintcheckout dApp

````